org.springframework.cglib.beans

## Class BulkBean.Generator

- java.lang.Object
- - org.springframework.cglib.core.AbstractClassGenerator
  - - org.springframework.cglib.beans.BulkBean.Generator

- All Implemented Interfaces:
    org.springframework.cglib.core.ClassGenerator
  Enclosing class:
    BulkBean

      public static class BulkBean.Generator
      extends AbstractClassGenerator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.cglib.core.AbstractClassGenerator

      `AbstractClassGenerator.ClassLoaderData, AbstractClassGenerator.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Generator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkBean` | `create()`
    `protected Object` | `firstInstance(Class type)`
    `void` | `generateClass(ClassVisitor v)`
    `protected ClassLoader` | `getDefaultClassLoader()`
    `protected ProtectionDomain` | `getProtectionDomain()` Returns the protection domain to use when defining the class.
    `protected Object` | `nextInstance(Object instance)`
    `void` | `setGetters(String[] getters)`
    `void` | `setSetters(String[] setters)`
    `void` | `setTarget(Class target)`
    `void` | `setTypes(Class[] types)`

    - ### Methods inherited from class org.springframework.cglib.core.AbstractClassGenerator

      `create, generate, getAttemptLoad, getClassLoader, getClassName, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setContextClass, setNamePrefix, setNamingPolicy, setStrategy, setUseCache, unwrapCachedValue, wrapCachedClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Generator

          public Generator()

  - ### Method Detail

    - #### setTarget

          public void setTarget(Class target)

    - #### setGetters

          public void setGetters(String[] getters)

    - #### setSetters

          public void setSetters(String[] setters)

    - #### setTypes

          public void setTypes(Class[] types)

    - #### getDefaultClassLoader

          protected ClassLoader getDefaultClassLoader()

      Specified by:
        `getDefaultClassLoader` in class `AbstractClassGenerator`

    - #### getProtectionDomain

          protected ProtectionDomain getProtectionDomain()

      Description copied from class: `AbstractClassGenerator`
      Returns the protection domain to use when defining the class.

      Default implementation returns `null` for using a default protection domain. Sub-classes may override to use a more specific protection domain.

      Overrides:
        `getProtectionDomain` in class `AbstractClassGenerator`
      Returns:
        the protection domain (`null` for using a default)

    - #### create

          public BulkBean create()

    - #### generateClass

          public void generateClass(ClassVisitor v)
                             throws Exception

      Throws:
        `Exception`

    - #### firstInstance

          protected Object firstInstance(Class type)

      Specified by:
        `firstInstance` in class `AbstractClassGenerator`

    - #### nextInstance

          protected Object nextInstance(Object instance)

      Specified by:
        `nextInstance` in class `AbstractClassGenerator`